import ComponentsFormsLayoutsHorizontal from '@/components/forms/layouts/components-forms-layouts-horizontal';
import ComponentsFormsLayoutsInline from '@/components/forms/layouts/components-forms-layouts-inline';
import ComponentsFormsLayoutsRegistration from '@/components/forms/layouts/components-forms-layouts-registration';
import ComponentsFormsLayoutsStack from '@/components/forms/layouts/components-forms-layouts-stack';
import { Metadata } from 'next';
import Link from 'next/link';
import React from 'react';

export const metadata: Metadata = {
    title: 'صفحه ها',
};

export default function() {
    return (
        <div>
            <ul className="flex space-x-2 rtl:space-x-reverse">
                <li>
                    <Link href="#" className="text-primary hover:underline">
                        فرم ها
                    </Link>
                </li>
                <li className="before:content-['/'] ltr:before:mr-2 rtl:before:ml-2">
                    <span>صفحه ها</span>
                </li>
            </ul>

            <div className="grid grid-cols-1 gap-6 pt-5 lg:grid-cols-2">
                {/* Stack */}
                <ComponentsFormsLayoutsStack />

                {/* Horizontal */}
                <ComponentsFormsLayoutsHorizontal />

                {/* Registration */}
                <ComponentsFormsLayoutsRegistration />

                {/* Inline */}
                <ComponentsFormsLayoutsInline />

            </div>
        </div>
    );
}
